[server:main]
## A good testing server. Run with: paster serve --reload conf.ini
use = egg:PasteScript#wsgiutils
host = 127.0.0.1
port = 8080

[app:main]
use = egg:PasteWebKit

## There are several configuration keys WebKit uses. The first are to find
## your application; you can use one of these:

## The directory where you've put your servlets. You can use %(here)s to refer
## to the directory that contains the configuration file.
#servlet_directory = %(here)s
#servlet_directory = server

## The package for your application. If servlet_directory is specified
## servlets are expected in the servlet_directory subpackage, otherwise
## in the 'web' subpackage. So if you only give mypackage it will look in
## mypackage.web for the servlets.
package_name = muntjac


## Muntjac application configuration parameters:

## Fully qualified Muntjac application class name.
application = muntjac.demo.HelloWorld.HelloWorld

#defaultPackages =

## Muntjac context configuration parameters:

## Muntjac production mode. (default: false)
productionMode = false

## Muntjac resource cache time. (default: 3600)
#resourceCacheTime = 7200

## Disable cross-site request forgery protection.
#disable-xsrf-protection = true

## Name of the widgetset.
#widgetset = com.vaadin.terminal.gwt.DefaultWidgetSet


## The other keys configure various filters/middleware:

## If false, then none of the middleware will be installed. This may be
## useful if you are nesting one WebKit app inside another (and don't
## want to duplicate the stack). (default true)
#complete_stack = false

## This controls a number of settings. Mostly errors will be displayed in
## the browser with this on. It is also picked up from the global debug
## setting if not given. (default false)
##
## Also, with this on, the printdebug filter will be installed, which catches
## all print statements and shows them in a <pre> in each response page.
debug = true

## The cookie name the session will use. (default _SID_ -- for session)
#cookie_name = MUNTJAC

## Where the session files are kept. (default /tmp)
#session_file_path = /var/tmp

## Any email addresses that should be used when reporting errors. Adding
## emails here will enable this feature. Use spaces to separate multiple
## addresses.
##
## If you don't give this in the application section, the keys error_email
## or sysadmin_email (in that order) will be pulled from the global
## configuration ([DEFAULTS]). (default: none)
#error_email = webmaster@example.com

## A file to append to with error reports. (default: none)
#error_log = muntjac.log

## If true then errors will show up in the server error logs. Where this goes
## depends on the server. If debug is on, this defaults to off, and vice
## versa. (default: not debug)
#show_exceptions_in_wsgi_errors = true

## What address errors appear to come from. (default: errors@localhost)
#from_address = errors@example.com

## The SMTP server (for sending errors). (default: localhost)
#smtp_server = smtp.example.com

## The prefix to put on error email subjects. If an app_name is given
## (globally or locally) then that will be used. (default: [app_name])
#error_subject_prefix = muntjac

## Extra text to use in error messages presented to users (when debug mode
## is off). (default: none)
#error_message =

## If on, then all requests will be profiled. This slows down the app
## considerable, so absolutely don't use it except in development.
## (default: false)
#profile = true

## Show the top N slowest parts of the system. (default: 40)
#profile_limit = 80
